/**
 * @author [author]
 * @email [example@mail.com]
 * @create date 2017-11-15 05:11:26
 * @modify date 2017-11-15 05:11:26
 * @desc [description]
*/

var shell = require(`shelljs`)
var fs = require("fs");

/* 项目配置 */
// 配置项目名
var projectName = `hybrid-listening-list`
// 配置项目路径
var projectPath = `~/project/${projectName}`
// 配置xpm路径
var xpmPath = `~/project/xpm/`
// 配置项目package.json路径
var packageJSON = require(`/Users/nali/project/${projectName}/package.json`)
// 自动获取项目版本号，获取自package.json
var version = packageJSON.version
// 自动获取xpm/grunt/publish目录
var publishFolderPath = `${xpmPath}/grunt/publish`

console.log('开始xpm publish步骤')
console.log(`项目version: ${version}`)

/* 执行xpm release命令 */
shell.cd(`${xpmPath}`)
shell.exec(`git pull`)
shell.exec(`xpm release ${projectName} ${version} -s`)
shell.cd(`${publishFolderPath}`)
shell.exec(`git pull`)

/* 进入publish目录,git pull */
shell.cd(publishFolderPath)
shell.exec(`git pull`)

/* 修改publish.json */
console.log(`读取publish.json`)
shell.cat(`publish.json`)
console.log(`开始修改 publish.json`)
shell.rm('-rf', 'publish.json')
fs.writeFileSync('publish.json', `{"${projectName}":"${version}"}`,  function(err) {
  if (err) {
      return console.error(err);
  }
  console.log("数据写入成功！");
  console.log("--------我是分割线-------------")
  console.log("读取写入的数据！");
  fs.readFileSync('publish.json', function (err, data) {
     if (err) {
        return console.error(`读publish.json error:${err}`);
     }
     console.log("读取文件数据: " + data.toString());
  });
});
console.log(`再次读取publish.json`)
shell.cat(`publish.json`)
shell.exec(`date; sleep 10; date`)
/* 执行 xpm publish 命令 */
shell.exec(`xpm publish`)

/* git push */
shell.exec(`git add .`)
shell.exec(`git commit -m "[update] ${projectName}"`)
shell.exec(`git push`)