/**
 * @author [zhaoyang]
 * @email []
 * @create date 2017-11-04 09:49:05
 * @modify date 2017-11-04 09:49:05
 * @desc [主站分支样式修改推测试脚本]
*/
require('shelljs-plugin-ssh')

var shell = require('shelljs')
var indexObj = require('../index/index')
var projectPath = '~/project/web_static2'
var myBranch = 'czy-download'
var HOST = `${indexObj.HOST_name}@${indexObj.HOST_IP}`

// run in 'personal branch'
console.log(1)
shell.cd(`${projectPath}`)
shell.exec(`git checkout ${myBranch}`)
shell.exec(`git add .`)
shell.exec(`git commit -m "[update] commit before build"`)
shell.exec('git push')
shell.exec('gulp less')
shell.exec('gulp sass')
shell.exec('git add .')
shell.exec('git commit -m "[update] run gulp less + gulp sass"')
shell.exec('git push')

// run in 'develop branch' 
console.log(2)
shell.exec('git checkout develop')
shell.exec('git pull')
shell.exec(`git merge ${myBranch}`)
shell.exec('gulp less')
shell.exec('gulp sass')
shell.exec('git add .')
shell.exec('git commit -m "[update] run gulp less + gulp sass"')
shell.exec('git push')

// checkout to personal branch, otherwise you may make changes in develop branch
shell.exec(`git checkout ${myBranch}`)

// log in to the server and pull from develop branch
console.log(3)
shell.ssh(HOST, {
	promptPassword : true
});
// shell.exec('web')
// shell.exec('git branch')
// shell.exec('git checkout develop'
// shell.exec('git pull')

console.log(4)
console.log('develop branch in server is updated 😁')
console.log('http://static2.test.ximalaya.com/css/web.v1.css')
