var shell = require(`shelljs`)
var fs = require("fs");

/* 项目配置 */
// 配置项目名
var projectName = `hybrid-listening-list`
// 配置项目路径
var projectPath = `~/project/${projectName}`
// 配置xpm路径
var xpmPath = `~/project/xpm/`
// 配置项目package.json路径
var packageJSON = require(`/Users/nali/project/${projectName}/package.json`)
// 自动获取项目版本号，获取自package.json
var version = packageJSON.version
// 自动获取xpm/grunt/publish目录
var publishFolderPath = `${xpmPath}/grunt/publish`

console.log("准备写入文件");
fs.writeFile('publish.json', `{"${projectName}acb":"${version}"}`,  function(err) {
  if (err) {
      return console.error(err);
  }
  console.log("数据写入成功！");
  console.log("--------我是分割线-------------")
  console.log("读取写入的数据！");
  shell.exec(`date; sleep 10; date `)
  fs.readFile('publish.json', function (err, data) {
     if (err) {
        return console.error(err);
     }
     console.log("异步读取文件数据: " + data.toString());
  });
});