var shell = require('shelljs')

/* 需要自行配置的参数 */

// 配置项目名
var projectName = 'hybrid-reportlist'
// 配置项目路径
var projectPath = `~/project/${projectName}`
// 配置xpm路径
var xpmPath = '~/project/xpm/'
// 配置项目package.json路径
var packageJSON = require(`/Users/nali/project/${projectName}/package.json`)
// 自动获取项目版本号，获取自package.json
var version = packageJSON.version

/* 进入项目路径下，执行git命令 */
shell.cd(projectPath)
shell.exec('ls -al')
shell.exec('pwd')
shell.exec('git add .')
shell.exec(`git commit -m "[update] xpm dev ${projectName} ${version} -s"`)
shell.exec('git push')
shell.exec('git log')

/* 进入xpm路径下，更新xpm */
shell.cd(xpmPath)
shell.exec('git pull')

/* 进入项目路径下，xpm命令发布到测试环境 */
shell.cd(projectPath)
shell.exec(`xpm dev ${projectName} ${version} -s`)

console.log('已发布到测试环境😁')

// 如果xpm报warning，再执行一次脚本即可